|
马上注册登录,享用更多网站功能!
您需要 登录 才可以下载或查看,没有帐号?立即注册
x
UF_MODL_ask_exps_of_feature()这个函数的输入如何得到,帮助文档中的例子是先创建一个长方体,再用这个长方体做输入,如果选取特征怎么选,我用了UF_UI_select_feature(),想选取一个长方体,但是选不中,不知怎么回事,下面是代码,请看一下什么问题:
char cue[] = "cue message";
char title[] = "dialog title";
int response;
tag_t object, view;
double cursor[3];
int *count;
tag_t * feature;
char *string;
char buf[100];
tag_t *exps;
int number_of_exps=0,i;
UF_UI_select_feature(cue,NULL,
count, &feature, &response);
UF_UI_open_listing_window();
if(!UF_MODL_ask_exps_of_feature(feature,&number_of_exps,&exps))
{
sprintf(buf,"number_of_exps=%d\n",number_of_exps);
UF_UI_write_listing_window(buf);
UF_UI_write_listing_window("Asking expression strings\n");
for(i=0;i<number_of_exps;i++)
{
UF_MODL_ask_exp_tag_string(exps |
|